
package com.kcim.web;

import com.kcim.common.util.UserContext;
import com.kcim.vo.SessionUserVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Controller公共组件
 *
 * @author Mark sunlightcs@gmail.com
 */
public abstract class AbstractController {
	protected Logger logger = LoggerFactory.getLogger(getClass());
	
	protected SessionUserVO getUser() {
		return UserContext.getCurrentUser();
	}

	protected Long getUserId() {
		return getUser().getId();
	}

	protected Long getHospId(){
		return UserContext.getCurrentLoginHospId();
	}
}
